((a,b)=>{a[b]=a[b]||{}})(self,"$__dart_deferred_initializers__")
$__dart_deferred_initializers__.current=function(a,b,c,$){var B,D,A={agR:function agR(d,e){this.a=d
this.b=e},b5Z:function b5Z(d,e){this.a=d
this.b=e},b5Y:function b5Y(d,e,f){var _=this
_.a=d
_.b="https://us.i.posthog.com"
_.c=20
_.y=_.x=!1
_.Q=e
_.as=!1
_.at=f},b68:function b68(d){this.b=this.a=!0
this.c=d},
b67(){var x=0,w=B.r(y.f),v,u
var $async$b67=B.n(function(d,e){if(d===1)return B.o(e,w)
while(true)switch(x){case 0:v=new A.b68(D.bN)
u=new A.b5Y("phc_dJC7wyB8GaDS7Uq9FdL7HGlt0C7AUrXIIwXHt3Q4tha",C.all,v)
u.x=u.y=!0
u.b="https://posthog.winsoo.ir"
v.b=v.a=!1
u.c=1
u.Q=C.alk
$.E6()
x=2
return B.l($.M4().HJ(u),$async$b67)
case 2:return B.p(null,w)}})
return B.q($async$b67,w)}},C
B=c[0]
D=c[2]
A=a.updateHolder(c[4],A)
C=c[6]
A.agR.prototype={
M(){return"PostHogPersonProfiles."+this.b}}
A.b5Z.prototype={
M(){return"PostHogDataMode."+this.b}}
A.b5Y.prototype={
uP(){var x=this,w=x.at,v=y.g,u=y.b
return B.a6(["apiKey",x.a,"host",x.b,"flushAt",x.c,"maxQueueSize",1000,"maxBatchSize",50,"flushInterval",30,"sendFeatureFlagEvents",!0,"preloadFeatureFlags",!0,"captureApplicationLifecycleEvents",x.x,"debug",x.y,"optOut",!1,"surveys",!1,"personProfiles",x.Q.b,"sessionReplay",!1,"dataMode","any","sessionReplayConfig",B.a6(["maskAllImages",w.b,"maskAllTexts",w.a,"throttleDelayMs",D.f.aX(w.c.a,1000)],v,u)],v,u)}}
A.b68.prototype={}
var z=a.updateTypes([]);(function inheritance(){var x=a.inheritMany
x(B.Ya,[A.agR,A.b5Z])
x(B.K,[A.b5Y,A.b68])})()
var y={g:B.an("e"),b:B.an("@"),f:B.an("~")};(function constants(){C.aBh=new A.b5Z(2,"any")
C.alk=new A.agR(1,"always")
C.all=new A.agR(2,"identifiedOnly")})()};
(a=>{a["e62gFB8wRq+fD7xpiPvLoZpLofI="]=a.current})($__dart_deferred_initializers__);